elvish(1)

NAME
elvish - Expressive Programming Language + Versatile Interactive Shell

SYNOPSIS
elvish [flags] [script]

FLAGS

-buildinfo
    show build info and quit

-c  take first argument as a command to execute

-compileonly
    Parse/Compile but do not execute

-cpuprofile string
    write cpu profile to file

-deprecation-level int
    show warnings for all features deprecated as of version 0.X (default 15)

-help
    show usage help and quit

-json
    show output in JSON. Useful with -buildinfo.

-log string
    a file to write debug log to except for the daemon

-norc
    run elvish without invoking rc.elv

-port int
    the port of the web backend (default 3171)

-rc string
    path to rc.elv

-version
    show version and quit

-web
    run backend of web interface

DESCRIPTION
Elvish is an expressive programming language and a versatile interactive shell, combined into one seamless package. It runs on Linux, BSDs, macOS and Windows.

SEE ALSO
https://elv.sh

AUTHOR
This manual page was written by Shengjing Zhu <zhsj@debian.org>, for the Debian GNU/Linux system (but may be used by others).